# Marionnet filesystem's configuration file.
# The full Bash syntax may be used here.
#
# Some assignments used in this template are kept
# from our old machine-pinocchio-14787

# The output of the command `md5sum' on the filesystem:
MD5SUM=afad0e82d58602c901a25c7d40099402

# The output (first field) of the command `sum' on the filesystem:
SUM=10035

# The creator of the filesystem:
AUTHOR="Jean-Vincent Loddo"

# The creation date:
DATE=2014-07-02

# The modification time (MTIME). Because of a user-mode-linux's protection
# mechanism, this setting is very important for sharing marionnet's projects
# between different installations. For instance, if you open on your laptop
# a project created at the university, the involved filesystems must be the
# same, of course, but they must also have exactly the same MTIME.
#
# Thus, it's a good idea to run this post-installation command:
#
# sudo touch -d @$MTIME $FILESYSTEM
#
# where $MTIME is the value indicated below, and $FILESYSTEM is the location
# of the filesystem image on your disk.
#
# On the other hand, if you are providing a new filesystem, you can set this
# variable (once your filesystem is completely finished and stable) simply
# running the command:
#
# stat -c "%Y" $FILESYSTEM
#
MTIME=1404317861

# Supported kernel(s) with their console-related parameters (according to the
# content of /etc/inittab). The variable SUPPORTED_KERNELS may contain a list
# of statements of the form:
#
#   KERNEL [PARAMS]  [KERNEL [PARAMS]]..
#
# where
#
#   KERNEL ::= "[" EPITHET "]"
#            | "/" REGEXP  "/"
#
#   PARAMS is a string
#   EPITHET
#     is the suffix (the substring after "linux-") of an available
#     kernel in a "kernels/" directory
#   REGEXP is a regular expression (possibly denoting some epithets)
#
# Several statements KERNEL [PARAMS] may be specified. Note that if you are
# using the += assignment operator to catenate statements, please dont forget
# the blank character to separe words (example: SUPPORTED_KERNELS+=" ...").
#
# Examples:
# SUPPORTED_KERNELS='[2.6.18-ghost] con=none ssl=xterm console=ttyS0'
# SUPPORTED_KERNELS+=' /3[.]2[.]..*/ con0=xterm'
#
SUPPORTED_KERNELS='/3.2.60/'

# X11 compliance. The possible (multiple) choices are "xhosted" and "xnested".
# The value "none" is equivalent to leave this variable empty, which means
# that the filesystem doesn't have the support to display X programs.
#
# Examples:
# X11_SUPPORT+="xhosted"
# X11_SUPPORT+="xnested"
# X11_SUPPORT="none"
#
X11_SUPPORT="none"

# Minimum size in Mb of RAM to allocate to this virtual machine.
# For machines with graphical programs it may be suitable to set
# at least 48 Mb of RAM.
MEMORY_MIN_SIZE=16

# Default value proposed to the user in the machine's dialogs.
MEMORY_SUGGESTED_SIZE=24

# Support for multiple consoles.
MULTIPLE_CONSOLES_SUPPORT=true

# Sorted list of available binaries.
BINARY_LIST='addgroup adduser agentxtrap ar arpaname arping arping ash awk babeld basename bash bgpd blkid bridge bunzip2 busybox bzcat bzcmp bzdiff bzegrep bzfgrep bzgrep bzip2 bzip2recover bzless bzmore cat catv chattr chgrp chmod chown chroot chrt chvt cksum clear clockdiff cmp cp cpio crond crontab ctstat curl curlftpfs cut date dc dd ddns-confgen deallocvt delgroup deluser devmem df dhclient dhcpd diff dig dirname dmesg dnsd dnsdomainname dnssec-dsfromkey dnssec-importkey dnssec-keyfromlabel dnssec-keygen dnssec-revoke dnssec-settime dnssec-signzone dnssec-verify dos2unix du dumpkeys dumpkmap echo egrep eject em encode_keychange env envsubst ether-wake ethghost ethtool expr false fbset fdflush fdformat fgconsole fgrep filan file find flex++ fold free freeramdisk fsck fstrim fuser fusermount gdbus gdbus-codegen genl genrandom getconf getkeycodes getopt gettext gettext.sh getty gio-querymodules glib-compile-resources glib-compile-schemas grep gresource groups gsettings gunzip gzip halt hdparm head hexdump host hostid hostname hwclock iconv id ifcfg ifconfig ifconfig.busybox ifdown ifstat ifup inetd init insmod install in.tftpd ip ip6tables ip6tables-restore ip6tables-save ipaddr ipcrm ipcs iplink iproute iprule iptables iptables-restore iptables-save iptables-xml iptunnel isc-hmac-fixup isisd kbdinfo kbd_mode kbdrate kill killall killall5 klogd last ldconfig ldd less lighttpd lighttpd-angel links linux32 linux64 ln lnstat loadfont loadkeys loadkmap loadunimap logger login logname losetup ls lsattr lsmod lsof lspci lsusb lwresd lzcat lzma makedevs mapscrn md5sum mdev mesg microcom mkdir mkfifo mknod mkswap mktemp modprobe more mount mountpoint mt mv named named-checkconf named-checkzone named-compilezone named-journalprint nameif nano ncftp ncftpbatch ncftpget ncftpls ncftpput ncftpspooler net-snmp-create-v3-user netstat ngettext nice nmap nohup nping nsec3hash nslookup nstat nsupdate ntpd ntpdate ntpdc ntpq od openvt ospf6d ospfclient ospfd passwd patch pcregrep pcretest pidof ping ping6 pipe_progress pivot_root poweroff printenv printf procan ps psfaddtable psfgettable psfstriptable psfxtable pwd radvd radvdump rarpd rdate rdisc readlink readprofile realpath reboot renice reset resize resizecons ripd ripngd rm rmdir rmmod rndc rndc-confgen route routef routel rpcbind rpcgen rpcinfo rsync rtacct rtmon rtpr rtstat runlevel run-parts scp sed seq setarch setconsole setfont setkeycodes setleds setlogcons setmetamode setserial setsid setvtrgb sftp sh sha1sum sha256sum sha3sum sha512sum showconsolefont showkey sh.prebash sleep slogin snmpbulkget snmpbulkwalk snmpd snmpdelta snmpdf snmpget snmpgetnext snmpinform snmpnetstat snmpset snmpstatus snmptable snmptest snmptranslate snmptrap snmptrapd snmpusm snmpvacm snmpwalk sntp socat sort ss ssh ssh-add ssh-agent sshd sshfs ssh-keygen ssh-keyscan start-stop-daemon strace strace-log-merge strings stty su sudo sudoedit sudoreplay sulogin swapoff swapon switch_root sync sysctl syslogd tail tar tc tcpdump tee telnet test tftp time top touch tr tracepath tracepath6 traceroute traceroute6 true tty udhcpc umount uname unicode_start unicode_stop uniq unix2dos unlzma unxz unzip uptime usleep uudecode uuencode vconfig vi visudo vlock watch watchdog watchquagga wc wget which who whoami xargs xtables-multi xz xzcat yes zcat zcmp zdiff zebra zegrep zfgrep zgrep zhead zless ztail'
